/*****************************************************************
* Unipro UGENE - Integrated Bioinformatics Suite
* Copyright (C) 2008 Unipro, Russia (http://ugene.unipro.ru)
* All Rights Reserved
* 
*     This source code is distributed under the terms of the
*     GNU General Public License. See the files COPYING and LICENSE
*     for details.
*****************************************************************/

#ifndef _GB2_APPSETTINGS_H_
#define _GB2_APPSETTINGS_H_

#include "core_api.h"

namespace GB2 {

class NetworkConfiguration;
class UserAppsSettings;

/** A collection for all settings used in app that have C++ model description */

class GB2_COREAPI_EXPORT AppSettings {
public:
    AppSettings() : nc(NULL), userAppsSettings(NULL){}

    virtual ~AppSettings(){}

    NetworkConfiguration* getNetworkConfiguration() const {return nc;}

    UserAppsSettings* getUserAppsSettings() const {return userAppsSettings;}

protected:
    NetworkConfiguration*   nc;
    UserAppsSettings*       userAppsSettings;
};

}//namespace
#endif
