/*****************************************************************
* Unipro UGENE - Integrated Bioinformatics Suite
* Copyright (C) 2008 Unipro, Russia (http://ugene.unipro.ru)
* All Rights Reserved
* 
*     This source code is distributed under the terms of the
*     GNU General Public License. See the files COPYING and LICENSE
*     for details.
*****************************************************************/

#ifndef _GB2_FLOWTASK_H_
#define _GB2_FLOWTASK_H_

#include <core_api/Task.h>
#include <workflow/Schema.h>

namespace GB2 {

namespace Workflow {
    class Scheduler;
    class Schema;
}
using namespace Workflow;

class WorkflowRunTask : public Task {
    Q_OBJECT
public:
    WorkflowRunTask(const Schema&, QList<Iteration>);
    virtual QString generateReport() const;
};

class WorkflowIterationRunTask : public Task {
	Q_OBJECT
public:
	WorkflowIterationRunTask(const Schema&, const Iteration&);
    ~WorkflowIterationRunTask();
    virtual void prepare();
	virtual ReportResult report(); 
protected:
    virtual QList<Task*> onSubTaskFinished(Task* subTask);

private:
    Schema* schema;
    Scheduler* scheduler;
};

} //namespace

#endif
