##################################################################
# Unipro UGENE - Integrated Bioinformatics Suite
# Copyright (C) 2008 Unipro, Russia (http://ugene.unipro.ru)
# All Rights Reserved
# 
#
#     This source code is distributed under the terms of the
#     GNU General Public License. See the files COPYING and LICENSE
#     for details.
##################################################################

include (ugene.pri)

# Input
HEADERS += src/AppContextImpl.h \
           src/AppGlobals.h \
           src/CorePlugin.h \
           src/CoreServiceTypes.h \
           src/DocumentFormatRegistryImpl.h \
           src/IOAdapterRegistryImpl.h \
           src/SettingsImpl.h \
           src/app_settings/AppSettingsDialogController.h \
           src/app_settings/AppSettingsDialogTree.h \
           src/app_settings/AppSettingsGUIImpl.h \
           src/app_settings/AppSettingsImpl.h \
           src/logview/LogCache.h \
           src/logview/LogSettings.h \
           src/logview/LogView.h \
           src/main_window/AboutDialogController.h \
           src/main_window/CheckUpdatesTask.h \
           src/main_window/DockManagerImpl.h \
           src/main_window/MainWindowImpl.h \
           src/main_window/MDIManagerImpl.h \
           src/main_window/MenuManager.h \
           src/main_window/ShutdownTask.h \
           src/main_window/ToolBarManager.h \
           src/plugin_support/PluginSupportImpl.h \
           src/plugin_support/ServiceRegistryImpl.h \
           src/plugin_viewer/PluginViewerController.h \
           src/plugin_viewer/PluginViewerImpl.h \
           src/project_support/ProjectImpl.h \
           src/project_support/ProjectLoaderImpl.h \
           src/project_support/ProjectServiceImpl.h \
           src/project_support/ProjectTasks.h \
           src/project_view/ProjectViewDocTree.h \
           src/project_view/ProjectViewImpl.h \
           src/script_registry/ScriptManagerView.h \
           src/script_registry/ScriptManagerWidgetImpl.h \
           src/task_scheduler/TaskSchedulerImpl.h \
           src/task_view/TaskStatusBar.h \
           src/task_view/TaskViewController.h \
           src/app_settings/logview_settings/LogSettingsGUIController.h \
           src/app_settings/network_settings/NetworkSettingsGUIController.h \
           src/app_settings/user_apps_settings/UserApplicationsSettingsGUIController.h
FORMS += src/app_settings/ui/AppSettingsDialog.ui \
         src/main_window/ui/AboutDialog.ui \
         src/plugin_viewer/ui/PluginViewerWidget.ui \
         src/project_support/ui/CreateNewProjectWidget.ui \
         src/project_view/ui/ProjectViewWidget.ui \
         src/script_registry/ui/ScriptManagerWidget.ui \
         src/app_settings/logview_settings/ui/LogSettingsWidget.ui \
         src/app_settings/network_settings/ui/NetworkSettingsWidget.ui \
         src/app_settings/user_apps_settings/ui/UserApplicationsSettingsWidget.ui
SOURCES += src/DocumentFormatRegistryImpl.cpp \
           src/IOAdapterRegistryImpl.cpp \
           src/Main.cpp \
           src/SettingsImpl.cpp \
           src/app_settings/AppSettingsDialogController.cpp \
           src/app_settings/AppSettingsGUIImpl.cpp \
           src/app_settings/AppSettingsImpl.cpp \
           src/logview/LogCache.cpp \
           src/logview/LogSettings.cpp \
           src/logview/LogView.cpp \
           src/main_window/AboutDialogController.cpp \
           src/main_window/CheckUpdatesTask.cpp \
           src/main_window/DockManagerImpl.cpp \
           src/main_window/MainWindowImpl.cpp \
           src/main_window/MDIManagerImpl.cpp \
           src/main_window/MenuManager.cpp \
           src/main_window/ShutdownTask.cpp \
           src/main_window/ToolBarManager.cpp \
           src/plugin_support/PluginSupportImpl.cpp \
           src/plugin_support/ServiceRegistryImpl.cpp \
           src/plugin_viewer/PluginViewerController.cpp \
           src/plugin_viewer/PluginViewerImpl.cpp \
           src/project_support/ProjectImpl.cpp \
           src/project_support/ProjectLoaderImpl.cpp \
           src/project_support/ProjectServiceImpl.cpp \
           src/project_support/ProjectTasks.cpp \
           src/project_view/BuiltInObjectViews.cpp \
           src/project_view/ProjectViewDocTree.cpp \
           src/project_view/ProjectViewImpl.cpp \
           src/script_registry/ScriptManagerView.cpp \
           src/script_registry/ScriptManagerWidgetImpl.cpp \
           src/task_scheduler/TaskSchedulerImpl.cpp \
           src/task_view/TaskStatusBar.cpp \
           src/task_view/TaskViewController.cpp \
           src/app_settings/logview_settings/LogSettingsGUIController.cpp \
           src/app_settings/network_settings/NetworkSettingsGUIController.cpp \
           src/app_settings/user_apps_settings/UserApplicationsSettingsGUIController.cpp
RESOURCES += ugene.qrc
TRANSLATIONS += transl/english.ts transl/russian.ts
